Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class LockedTestCase

    java.lang.Object
      org.picocontainer.behaviors.SynchronizedTestCase
          org.picocontainer.behaviors.LockedTestCase

    public final class LockedTestCase

extends SynchronizedTestCase

Author:
  Paul Hammant

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.behaviors.SynchronizedTestCase
`SynchronizedTestCase.Blocker, SynchronizedTestCase.SlowCtor`

Constructor Summary
`LockedTestCase()`

Method Summary
`protected org.picocontainer.BehaviorFactory` | `makeBehaviorFactory()`
`protected org.picocontainer.ComponentAdapter` | `makeComponentAdapter(org.picocontainer.ComponentAdapter componentAdapter)`

Methods inherited from class org.picocontainer.behaviors.SynchronizedTestCase
`testRaceConditionIsHandledBySynchronizedComponentAdapter, testRaceConditionIsNotHandledWithoutSynchronizedComponentAdapter, testSingletonCreationWithSynchronizedAdapterAndDoubleLocking, testSingletonCreationWithSynchronizedAdapterOutside, testSingletonCreationWithSynchronizedAdapterOutsideUsingFactory, THIS_NATURALLY_FAILS_testSingletonCreationRace, THIS_NATURALLY_FAILS_testSingletonCreationWithSynchronizedAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockedTestCase

    public LockedTestCase()

Method Detail

### makeComponentAdapter

    protected org.picocontainer.ComponentAdapter makeComponentAdapter(org.picocontainer.ComponentAdapter componentAdapter)

  Overrides:
    `makeComponentAdapter` in class `SynchronizedTestCase`

### makeBehaviorFactory

    protected org.picocontainer.BehaviorFactory makeBehaviorFactory()

  Overrides:
    `makeBehaviorFactory` in class `SynchronizedTestCase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.